[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.AutoSize

AutoSize defaults to True, overriding any previous default

## Declaration

Source position: stdctrls.pp line 388

`public property TCustomComboBox.AutoSize default true;`

## Description

// standard properties, which should be supported by all descendants

AutoSize permits the size of a control to be adjusted automatically, for example a button can become bigger or smaller to accommodate a longer or shorter caption.

Reads logical (boolean) flag to see whether auto-sizing is to be operated, or writes the flag to say it should be done. Default is false, ie no auto-sizing

## See also

TControl.AutoSize |  | Whether auto-size is to be used

The latest version of this document can be found at lazarus-ccr.sourceforge.net.